insert into cat_alt_manufacturer (`Name`, ID_src)
select `MFA_BRAND`, MFA_ID 
  from tecdoc_1303.tof__manufacturers
 order by MFA_BRAND;

insert into cat_alt_models (ID_mfa, `Name`, ID_src)
select mfa.ID_mfa
     , getText(MOD_CDS_ID) 
     , mds.MOD_ID
  from tecdoc_1303.tof__models mds
    inner join cat_alt_manufacturer mfa on mfa.ID_src = mds.MOD_MFA_ID
  order by mds.MOD_MFA_ID;

insert into cat_alt_types (ID_mod, ID_mfa, `Name`, CCM, KwHp, Fuel, Drive, Doors, Trans, Body, DateStart, DateEnd, `Description`, ID_src)
select mds.ID_mod
     , mds.ID_mfa
     , getText(TYP_CDS_ID) 
     , typ.TYP_CCM as Ccm
     , CONCAT(IFNULL(typ.TYP_KW_UPTO,typ.TYP_KW_FROM),'/',IFNULL(typ.TYP_HP_UPTO,typ.TYP_HP_FROM)) as KwHp
     , getText(TYP_KV_FUEL_DES_ID) as Fuel
     , getText(TYP_KV_DRIVE_DES_ID) as Drive
     , typ.TYP_DOORS as Door
     , getText(TYP_KV_TRANS_DES_ID) as Trans     
     , getText(TYP_KV_BODY_DES_ID) as Body          
     , typ.TYP_PCON_START as DateStart
     , typ.TYP_PCON_END as DateEnd
     , getText(TYP_MMT_CDS_ID)      
     , typ.TYP_ID
  from tecdoc_1303.tof__types typ
    inner join cat_alt_models mds on mds.`ID_src` = typ.TYP_MOD_ID
  order by mds.ID_mfa, mds.ID_mod;

update cat_alt_models set childs = (select count(1) from cat_alt_types where cat_alt_types.ID_mfa = cat_alt_models.ID_mfa and cat_alt_types.ID_mod = cat_alt_models.ID_mod);
delete from cat_alt_models where Childs = 0;

update cat_alt_manufacturer set childs = (select count(1) from cat_alt_models where cat_alt_models.ID_mfa = cat_alt_manufacturer.ID_mfa);
delete from cat_alt_manufacturer where Childs = 0;

insert into cat_alt_engines (ID_mfa, `Code`, ID_src)    
select mfa.ID_mfa, ENG_CODE, ENG_ID 
  from tecdoc_1303.tof__engines eng
    inner join `cat_alt_manufacturer` mfa on mfa.ID_src = eng.ENG_MFA_ID
  order by ENG_MFA_ID;
  
insert into cat_alt_link_typ_eng (ID_mfa, ID_typ, ID_eng, `Code`, DateStart, DateEnd, `Sort`)
select typ.ID_mfa, typ.ID_typ, eng.ID_eng, eng.Code, link.LTE_PCON_START, link.LTE_PCON_END, link.LTE_NR
   from tecdoc_1303.tof__link_typ_eng  link
      inner join cat_alt_engines eng on eng.ID_src = link.LTE_ENG_ID  
      inner join cat_alt_types typ on typ.`ID_src` = link.LTE_TYP_ID
order by typ.ID_mfa, typ.ID_typ, eng.ID_eng, link.LTE_NR;

update cat_alt_types set `Engines` = (select GROUP_CONCAT(DISTINCT eng.`Code` SEPARATOR ', ') from cat_alt_link_typ_eng lin inner join cat_alt_engines eng on eng.`ID_eng` = lin.`ID_eng` where lin.`ID_typ` = cat_alt_types.ID_Typ);

insert into cat_alt_suppliers (`Name`, ID_src)
select `SUP_BRAND`, SUP_ID from tecdoc_1303.`tof__suppliers` order by SUP_BRAND;

truncate table cat_alt_articles;
insert ignore into cat_alt_articles (ID_sup, Article, `Name`, `Description`, ID_src)
select sup.ID_sup
     , ART_ARTICLE_NR
     , txt1.`Value`
     , txt2.`Value`
     , ART_ID
  from tecdoc_1303.tof__articles art
    left join cat_alt_suppliers sup on sup.ID_src =ART_SUP_ID
    left join mem_des des1 on des1.ID_des = ART_DES_ID
    left join mem_text txt1 on txt1.ID_txt = des1.ID_txt
    left join mem_des des2 on des2.ID_des = ART_COMPLETE_DES_ID
    left join mem_text txt2 on txt2.ID_txt = des2.ID_txt;  
  
update cat_alt_suppliers set childs = (select count(1) from cat_alt_articles where cat_alt_articles.ID_sup = cat_alt_suppliers.ID_sup);

insert into cat_alt_groups (`Name`, Standard, Assembly, Intended, Sort, ID_src)
select getText(IFNULL(GA_DES_ID,0))
     , getText(IFNULL(GA_DES_ID_STANDARD,0))
     , getText(IFNULL(GA_DES_ID_ASSEMBLY,0))
     , getText(IFNULL(GA_DES_ID_INTENDED,0))
     , GA_NR
     , GA_ID 
  from tecdoc_1303.tof__generic_articles;

update cat_alt_articles set `Name` = (select grp.`Name`
                                        from tecdoc_1303.tof__link_art_ga
                                          inner join `cat_alt_groups` grp on grp.ID_src = LAG_GA_ID
                                        where LAG_ART_ID = cat_alt_articles.ID_src
                                        limit 0,1);
                                        
  insert ignore into cat_alt_link_typ_art (ID_typ, ID_art, ID_sup, ID_grp, Sort)
  select typ.ID_typ
       , art.ID_art
       , sup.ID_sup
       , grp.ID_grp
      , lat.LAT_SORT
    from tecdoc_1303.tof__link_art la
      left  join cat_alt_articles art on art.ID_src = la.LA_ART_ID
      inner join tecdoc_1303.tof__link_la_typ lat on lat.LAT_LA_ID = la.LA_ID
      left  join cat_alt_types typ on typ.ID_src = lat.LAT_TYP_ID
      left  join cat_alt_suppliers sup on sup.ID_src = lat.LAT_SUP_ID
      left  join cat_alt_groups grp on grp.ID_src = lat.LAT_GA_ID;
