insert into cat_alt_tree (ID_tree, ID_parent, `Name`, `Level`, Sort, ID_src)
select tree.STR_ID
     , ifnull(tree.STR_ID_PARENT,0)
     , getText(`STR_DES_ID`)
     , tree.STR_LEVEL-1
     , tree.STR_SORT
     , tree.STR_ID
  from tecdoc_1303.tof__search_tree tree
where STR_TYPE = 1;


update cat_alt_tree set path = CONCAT('"',ID_tree,':',`Name`,'"');

create table cat_alt_tree_tmp select * from cat_alt_tree;
update cat_alt_tree set path = CONCAT((select parent.path from cat_alt_tree_tmp parent where parent.ID_tree = cat_alt_tree.ID_parent) ,'/', cat_alt_tree.Path) where `Level` = 2;

drop table cat_alt_tree_tmp; create table cat_alt_tree_tmp select * from cat_alt_tree;
update cat_alt_tree set path = CONCAT((select parent.path from cat_alt_tree_tmp parent where parent.ID_tree = cat_alt_tree.ID_parent) ,'/', cat_alt_tree.Path) where `Level` = 3;

drop table cat_alt_tree_tmp; create table cat_alt_tree_tmp select * from cat_alt_tree;
update cat_alt_tree set path = CONCAT((select parent.path from cat_alt_tree_tmp parent where parent.ID_tree = cat_alt_tree.ID_parent) ,'/', cat_alt_tree.Path) where `Level` = 4;

update cat_alt_tree set Childs = (select count(1) from cat_alt_tree_tmp tmp where tmp.ID_parent = cat_alt_tree.ID_tree);

drop table cat_alt_tree_tmp;

insert into cat_alt_link_str_grp 
select LGS_STR_ID, grp.`ID_grp` 
  from tecdoc_1303.tof__link_ga_str
    inner join `cat_alt_tree` tree on tree.`ID_src` = LGS_STR_ID
    inner join `cat_alt_groups` grp on grp.ID_src = LGS_GA_ID;

CREATE TABLE `cat_alt_crosses_tmp` (
  `ID_art` int(12) unsigned NOT NULL DEFAULT '0' COMMENT 'Идентификатор',
  `Display` varchar(105) DEFAULT NULL,
  `Search` varchar(105) DEFAULT NULL,
  `Brand` varchar(60) DEFAULT NULL,
  `Kind` char(1) DEFAULT NULL
) ENGINE=MyIsam DEFAULT CHARSET=utf8;

insert into `cat_alt_crosses_tmp` (ID_art, Display, Search, Brand, Kind)    
select art.ID_art, lkp.`ARL_DISPLAY_NR` as Display, lkp.`ARL_SEARCH_NUMBER` as Search, bra.BRA_BRAND as Brand, lkp.ARL_KIND as Kind
  from tecdoc_1303.tof__art_lookup lkp
    inner join cat_alt_articles art on art.ID_src = lkp.ARL_ART_ID
    inner join tecdoc_1303.tof__brands bra on bra.BRA_ID = lkp.ARL_BRA_ID
where ARL_KIND in (1,3,4);


insert into `cat_alt_suppliers` (ID_src, `Name`)
select BRA_ID, BRA_BRAND from tecdoc_1303.tof__brands;

update `cat_alt_suppliers` set Search = replace(replace(replace(replace(replace(replace(replace(`Name`,' ',''),'-',''),'/',''),'+',''),'.',''),'(',''),')','');
update `cat_alt_suppliers` set Search = upper(search);

CREATE TABLE `cat_alt_crossing_tmp` (
  `ID_sup` int(12) unsigned NOT NULL,
  `Article` varchar(25) DEFAULT NULL,
  `Search` varchar(25) NOT NULL,
  `Name` varchar(200) DEFAULT NULL,
  `Type` tinyint(1) unsigned NOT NULL,
  PRIMARY KEY (`ID_sup`,`Search`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

insert ignore into `cat_alt_crossing_tmp` (ID_sup,Article,Search, `Name`, `Type`)
select sup.`ID_sup`, crs.`Display`, crs.`Search`, art.`Name`, case when crs.Kind=3 then 3 else 1 end as `Type`
  from `cat_alt_crosses_tmp` crs
    inner join `cat_alt_suppliers` sup on sup.`Name` = crs.`Brand`
    inner join `cat_alt_articles` art on art.`ID_art` = crs.`ID_art`;
 
insert ignore into `cat_alt_articles` (ID_sup, ID_src, Article, Search, `Name`, `Type`)
select ID_sup, 0, Article, Search, `Name`, `Type` 
  from cat_alt_crossing_tmp;
  
drop table cat_alt_crossing_tmp;  

update `cat_alt_articles` set Search = Trim(`Article`);  
update `cat_alt_articles` set `Search` = REPLACE(`Search`,' ','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'-','');
update `cat_alt_articles` set Search = REPLACE(`Search`,',','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'.','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'=','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'+','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'_','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'(','');
update `cat_alt_articles` set Search = REPLACE(`Search`,')','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'[','');
update `cat_alt_articles` set Search = REPLACE(`Search`,']','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'{','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'}','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'/','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'\\','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'?','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'<','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'>','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'!','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'@','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'#','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'$','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'%','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'^','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'&','');
update `cat_alt_articles` set Search = REPLACE(`Search`,'*','');
update `cat_alt_articles` set Search = Trim(`Search`);
  
truncate table cat_alt_crossing;
insert ignore into `cat_alt_crossing`
select crs.`ID_art`, art.`ID_art`
  from `cat_alt_crosses_tmp` crs
    inner join `cat_alt_articles` art on art.`Search` = crs.`Search`
    inner join `cat_alt_suppliers` sup on sup.`ID_sup` = art.`ID_sup` and  sup.`Name` = crs.`Brand`;

update `cat_alt_models`, tecdoc_1303.tof__models
   set DateStart = CONCAT(RIGHT(MOD_PCON_START, 2),'.', LEFT(MOD_PCON_START, 4))
     , DateEnd = CONCAT(RIGHT(MOD_PCON_END, 2),'.', LEFT(MOD_PCON_END, 4))
 where ID_src = MOD_ID;

update cat_alt_suppliers,  (select * from (select SAD_SUP_ID
                     , IFNULL(SAD_NAME2, SAD_NAME1) as `NAME`
                     , CONCAT(SAD_STREET1, IFNULL(CONCAT(', ', SAD_STREET2),'')) as STREET1
                     , `SAD_POSTAL_CODE_PLACE`
                     , getText(COU_DES_ID) as COUNTRY
                     , `SAD_POSTAL_CODE_POB`
                     , SAD_POB
                     , CONCAT(SAD_CITY1, IFNULL(CONCAT(', ', SAD_CITY2),'')) as CITY1
                     , SAD_TEL
                     , SAD_FAX
                     , SAD_EMAIL
                     , SAD_WEB 
                  from tecdoc_1303.tof__supplier_addresses
                    left join tecdoc_1303.tof__countries on SAD_COU_ID_POSTAL = COU_ID
                  where  SAD_STREET1 is not null and SAD_TEL is not null) my
                group by SAD_SUP_ID) res
  set NameFull = res.`NAME`
    , Street = res.STREET1
    , PostalBox = res.SAD_POSTAL_CODE_PLACE
    , PostalCountry = res.COUNTRY
    , PostalCode = res.SAD_POSTAL_CODE_POB
    , CityIndex = res.SAD_POB
    , City = res.CITY1
    , Phone = res.SAD_TEL
    , Fax = SAD_FAX
    , Email = SAD_EMAIL
    , WEB = SAD_WEB
where res.SAD_SUP_ID = ID_src;                                                           

